org.apache.felix.ipojo.manipulator.metadata.annotation

## Class ComponentWorkbench

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.ComponentWorkbench

    public class ComponentWorkbench
    extends Object

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ComponentWorkbench(BindingRegistry bindingRegistry, org.objectweb.asm.tree.ClassNode node)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.ipojo.metadata.Element` `build()`
`BindingRegistry` `getBindingRegistry()`
`org.objectweb.asm.tree.ClassNode` `getClassNode()`
`Map<org.apache.felix.ipojo.metadata.Element,String>` `getElements()`
`Map<String,org.apache.felix.ipojo.metadata.Element>` `getIds()`
`org.apache.felix.ipojo.metadata.Element` `getInstance()`
`org.apache.felix.ipojo.metadata.Element` `getRoot()` The identified root Element.
`org.objectweb.asm.Type` `getType()`
`boolean` `ignore()` Checks whether this class must be ignored.
`void` `ignore(boolean ignore)` Sets the 'ignore' aspect of the current class.
`void` `setInstance(org.apache.felix.ipojo.metadata.Element instance)`
`void` `setRoot(org.apache.felix.ipojo.metadata.Element root)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentWorkbench

    public ComponentWorkbench(BindingRegistry bindingRegistry,
                              org.objectweb.asm.tree.ClassNode node)

### Method Detail

#### getType

    public org.objectweb.asm.Type getType()

#### getBindingRegistry

    public BindingRegistry getBindingRegistry()

#### getClassNode

    public org.objectweb.asm.tree.ClassNode getClassNode()

#### getRoot

    public org.apache.felix.ipojo.metadata.Element getRoot()

The identified root Element. May be null if at the visit time, the root as not been identified.

Returns:
  the root Element. or null if not defined at the execution time.

#### setRoot

    public void setRoot(org.apache.felix.ipojo.metadata.Element root)

#### getInstance

    public org.apache.felix.ipojo.metadata.Element getInstance()

#### setInstance

    public void setInstance(org.apache.felix.ipojo.metadata.Element instance)

#### getIds

    public Map<String,org.apache.felix.ipojo.metadata.Element> getIds()

#### getElements

    public Map<org.apache.felix.ipojo.metadata.Element,String> getElements()

#### build

    public org.apache.felix.ipojo.metadata.Element build()

#### ignore

    public boolean ignore()

Checks whether this class must be ignored.

Returns:
  `true` if the class is ignored.

#### ignore

    public void ignore(boolean ignore)

Sets the 'ignore' aspect of the current class.

Parameters:
  `ignore` - whether or not the class must be ignored.